Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.progress
Class ProgressChangeEventParam

    java.lang.Object
      org.mozilla.jrex.event.progress.ProgressChangeEventParam

public class ProgressChangeEventParam
extends Object

The class wrapping the progress change progress event parameters.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`ProgressChangeEventParam(int curSelfProgress, int maxSelfProgress, int curTotalProgress, int maxTotalProgress)` ProgressChangeEventParam constructor

Method Summary
`int` | `getCurrentSelfProgress()` Returns the current progress for request.
`int` | `getCurrentTotalProgress()` Returns the current progress for all the requests
`int` | `getMaximumSelfProgress()` Returns the maximum progress for request
`int` | `getMaximumTotalProgress()` Returns the total progress for all the requests being monitored.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgressChangeEventParam

    public ProgressChangeEventParam(int curSelfProgress,
                                    int maxSelfProgress,
                                    int curTotalProgress,
                                    int maxTotalProgress)

  ProgressChangeEventParam constructor

Parameters:
  `curSelfProgress` - The current progress for request.
  `maxSelfProgress` - The maximum progress for request. If this value is not known then -1 is passed.
  `curTotalProgress` - The current progress for all the requests being monitored.
  `maxTotalProgress` - The total progress for all the requests being monitored. If this value is not known then -1 is passed.
See Also:
  `ProgressEventConstants`

Method Detail

### getCurrentSelfProgress

    public int getCurrentSelfProgress()

  Returns the current progress for request.

### getMaximumSelfProgress

    public int getMaximumSelfProgress()

  Returns the maximum progress for request

### getCurrentTotalProgress

    public int getCurrentTotalProgress()

  Returns the current progress for all the requests

### getMaximumTotalProgress

    public int getMaximumTotalProgress()

  Returns the total progress for all the requests being monitored.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.